/*----------------------------------------------------------------------------*/
/* Copyright (c) 2017-2018 FIRST. All Rights Reserved.                        */
/* Open Source Software - may be modified and shared by FRC teams. The code   */
/* must be accompanied by the FIRST BSD license file in the root directory of */
/* the project.                                                               */
/*----------------------------------------------------------------------------*/

package team.frc.morpheus.robot;


/**
 * The RobotMap is a mapping from the ports sensors and actuators are wired into
 * to a variable name. This provides flexibility changing wiring, makes checking
 * the wiring easier and significantly reduces the number of magic numbers
 * floating around.
 */
public final class Constants {

    public static final Robot.Type TYPE = Robot.Type.COMPETITION;

    /* DriveBase */
    public static final class DriveBase {
        public static final int LEFT_DRIVE = 1; // CAN
        public static final int LEFT_FOLLOWER = 3; // CAN
        public static final int RIGHT_DRIVE = 2; // CAN
        public static final int RIGHT_FOLLOWER = 4; // CAN
    }

    /* Other */
    public static final int PCM = 61;
    public static final int PDP = 62;

    /* Flags */
    public static final boolean INTAKE_SIDE_FORWARD = false;
    public static final double ASSISTED_DRIVING_KP = 1.0;
    public static final double ASSISTED_DRIVING_KI = 0.0;
    public static final double ASSISTED_DRIVING_KD = 3.0;
}
