package team.frc.morpheus.robot;

import team.frc.morpheus.robot.commands.drivebase.DriverControl;
import team.frc.morpheus.util.input.Coordinate;

import java.util.function.Supplier;

public class DriverParams {

    private final Supplier<Coordinate> coordinateSupplier;
    private final DriverControl.Feature[] features;

    public DriverParams(Supplier<Coordinate> coordinateSupplier, DriverControl.Feature... features) {
        this.coordinateSupplier = coordinateSupplier;
        this.features = features;
    }

    public DriverControl getDriverControl() {
        DriverControl driverControl = new DriverControl(coordinateSupplier);
        driverControl.withFeatures(features);
        return driverControl;
    }
}
