package team.frc.morpheus.robot.commands.drivebase;

import team.frc.morpheus.util.input.Coordinate;

import java.util.function.Supplier;


/**
 * Allows to insert a "snippet" of driver control into auto (such as during
 * the sandstorm period in the 2019 game) that ends upon the supplied condition.
 */
public class DriverControlSnippet extends DriverControl {

   private final Supplier<Boolean> condition;

    public DriverControlSnippet(Supplier<Coordinate> coordinateSupplier, Supplier<Boolean> condition) {
        super(coordinateSupplier);
        this.condition = condition;
    }

    @Override
    public boolean isFinished() {
        return condition.get();
    }

    @Override
    public void end(boolean interrupted) {
        driveBase.directSet(0, 0);
    }
}
