package team.frc.morpheus.robot.commands.drivebase;

import edu.wpi.first.wpilibj2.command.CommandBase;
import team.frc.morpheus.robot.Robot;
import team.frc.morpheus.util.input.Coordinate;
import team.frc.morpheus.robot.subsystems.DriveBase;

/**
 *
 */
public class TurnInPlace extends CommandBase {
    DriveBase driveBase;
    double targetPosition, currentPosition, speed;
    boolean reverse = false;

    public TurnInPlace(double degrees, double speed) {
        driveBase = DriveBase.getInstance();
        hasRequirement(driveBase);
        this.speed = speed;
        targetPosition = (degrees * Math.PI / 180) * DriveBase.WIDTH / 2 + driveBase.getRightPosition();
        if (degrees < 0) reverse = true;
    }

    // Called just before this Command runs the first time
    @Override
    public void initialize() {
        driveBase.set(new Coordinate.Polar(reverse ? 0 : Math.PI, speed));
    }

    // Called repeatedly when this Command is scheduled to run
    @Override
    public void execute() {
        currentPosition = driveBase.getRightPosition();
        System.out.println("This is left: " + driveBase.getLeftPosition());
        System.out.println("This is right: " + driveBase.getRightPosition());
    }

    // Make this return true when this Command no longer needs to run execute()
    @Override
    public boolean isFinished() {
        if (reverse) {
            return currentPosition <= targetPosition;
        } else {
            return currentPosition >= targetPosition;
        }
    }

    // Called once after isFinished returns true or the command is interrupted
    @Override
    public void end(boolean interrupted) {
        driveBase.set(new Coordinate.Cartesian(0, 0));
    }
}
