package team.frc.morpheus.robot.commands.drivebase;

import edu.wpi.first.wpilibj2.command.CommandBase;
import team.frc.morpheus.robot.subsystems.DriveBase;

public class TurnInPlaceGyro extends CommandBase {
    private final DriveBase driveBase;
    private final double targetDegrees;
    private static final double kP = 0.007;

    public TurnInPlaceGyro(double targetDegrees) {
        this.targetDegrees = targetDegrees;

        driveBase = DriveBase.getInstance();
        addRequirements(driveBase);
    }

    @Override
    public void initialize() {
        driveBase.resetGyroAngle();
    }

    @Override
    public void execute() {
        final double correction = kP * (targetDegrees - driveBase.getGyroAngle());
        driveBase.directSet(-correction, correction);
    }

    @Override
    public boolean isFinished() {
        return false;
    }

    @Override
    public void end(boolean interrupted) {
        driveBase.directSet(0, 0);
    }
}
